Avisos
Vaciar todo

Error al actualizar de Joomla 2.5.28 a 3.4.8.  

Página 2 / 2
 
Rebecca
 Rebecca
Reputable Member

Hola,

estoy intentando actualizar la web de joomla 2.5.28 a 3.4.8 y me ha dado un error. La pagina web se ve en blanco y no consigo entrar en el backend.

Este es el error que me da Stephan tras hacer una revisión:

[24-Aug-2016 10:38:01 UTC] PHP Fatal error: require(): Failed opening required '/home/brspanis/public_html/www.bonregal.com/libraries/joomla/application/component/model.php' (include_path='.:/usr/local/php53:/usr/local/php53/lib/php') in /home/brspanis/public_html/www.bonregal.com/administrator/components/com_virtuemart/helpers/vmmodel.php on line 24
[24-Aug-2016 10:37:53 UTC] PHP Fatal error: require(): Failed opening required '/home/brspanis/public_html/www.bonregal.com/libraries/joomla/application/component/model.php' (include_path='.:/usr/local/php53:/usr/local/php53/lib/php') in /home/brspanis/public_html/www.bonregal.com/administrator/components/com_virtuemart/helpers/vmmodel.php on line 24
[24-Aug-2016 10:38:16 UTC] PHP Fatal error: require(): Failed opening required '/home/brspanis/public_html/www.bonregal.com/libraries/joomla/application/component/model.php' (include_path='.:/usr/local/php53:/usr/local/php53/lib/php') in /home/brspanis/public_html/www.bonregal.com/administrator/components/com_virtuemart/helpers/vmmodel.php on line 24
[24-Aug-2016 10:40:02 UTC] PHP Fatal error: Call to undefined method JUser::authorize() in /home/brspanis/public_html/www.bonregal.com/administrator/modules/mod_kc_admin_quickicons/helper.php on line 35
[24-Aug-2016 10:40:08 UTC] PHP Fatal error: Call to undefined method JUser::authorize() in /home/brspanis/public_html/www.bonregal.com/administrator/modules/mod_kc_admin_quickicons/helper.php on line 35
[24-Aug-2016 10:40:16 UTC] PHP Fatal error: require(): Failed opening required '/home/brspanis/public_html/www.bonregal.com/libraries/joomla/application/component/model.php' (include_path='.:/usr/local/php53:/usr/local/php53/lib/php') in /home/brspanis/public_html/www.bonregal.com/administrator/components/com_virtuemart/helpers/vmmodel.php on line 24

Tengo un respaldo hecho con Akeeba backup.
He seguido todos los pasos que explicabais en un vídeo.

Lo único que no llegué a ver es la nueva versión de joomla en "Actualizar Joomla" y lo que he hecho es descargar la versión 3.4.8 e instalarla.

No se donde me he despistado.

Gracias por vuestra ayuda!

Saludos,
Rebecca

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 24/08/2016 2:05 pm
Rebecca
 Rebecca
Reputable Member

Hola Pepe,

me gustaría hacer la opción más sencilla y rápida. El problema es que no tengo muchos conocimientos y se me hace un mundo.

Sea como sea, supongo que tengo que hacer una copia con Akeeba Backup y este componente me falla. He logrado hacer una captura de pantalla que me sale, cuando voy de una pestaña a otra en el mismo componente. Te la añado para ver si puedes decirme de qué se trata.

Referente al migrar o actualizar, que crees que es lo más sencillo y rápido?

Gracias!

Saludos,
Rebecca

ResponderCitar
Respondido : 24/01/2017 9:22 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Rebeca.

que crees que es lo más sencillo y rápido?
Yo soy mas partidario de realizar una instalación nueva con algún pack de los que tenemos o una plantilla nueva que te guste y se adapte a lo que buscas, con esto cambias también un poco la imagen.

Sobre el trabajo, bueno siempre es mas sencillo actualizar lo que tienes ( si todo sale bien ) pero al final el trabajo prácticamente es el mismo.

He logrado hacer una captura de pantalla que me sale,
El aviso que te muestra es de permiso, Esto lo puedes solucionar desde tu área de clientes con el Asistente Virtual Stephan

Sthepan revisa los permisos de los ficheros y directorios de tu cuenta y los corrige en el caso que encuentre alguno con permisos incorrectos, de forma automática.

Un Saludo

ResponderCitar
Respondido : 24/01/2017 9:37 am
Rebecca
 Rebecca
Reputable Member

Hola Pepe,

entonces es como si creara la web completamente nueva?

Me puedes pasar algún enlace para ver que pasos debo seguir?

He hecho una revisión con Stephan, pero sigo sin poder hacer la copia de seguridad con Akeeba.

Saludos,
Rebecca

ResponderCitar
Respondido : 24/01/2017 10:15 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Rebeca.

Veo que tienes pendiente una actualización de akebba 3.5.1, la versión actual estable es la Akeeba Backup Core 4.7.4

Actualízala y revisa si puedes realizar la copia.

entonces es como si creara la web completamente nueva?
Personalmente optaría por esa opción, antes o después tendrás que renovar y que mejor momento que ahora para ponerte manos a la obra.

Me puedes pasar algún enlace para ver que pasos debo seguir?
¿ te atreves con prestashop ?

Te dejo un enlace con los pack's que tenemos para prestashop y los puedes instalar desde tu cuenta de cpanel:
Plantillas PrestaShop Gratis con tu Hosting

Por ejemplo la plantilla Cilene te vendria bien para lo que estas buscando

Aquí un enlace con documentación para instalar un pack:
Instalar un Pack PrestaShop ¿cómo lo hago?

Aquí tienes información de como instalar varios packs en tu cuenta, en principio seria trabajar en la nueva instalación sin perder la que tienes ahora hasta que este como tu quieres y luego moverla a la url definitiva, pero eso sera ya el final de esta carrera.....

Instalar varios packs en el Hosting de Webempresa

Te dejo un enlace con un curso que tenemos de prestashop:
Curso PrestaShop en Español

Un saludo

ResponderCitar
Respondido : 24/01/2017 11:05 am
Rebecca
 Rebecca
Reputable Member

Hola Pepe,

Prestashop lo veo demasiado tienda online.

Ahora mismo la prioridad de cambiar o actualizar la web está en la de www.brspanishgourmet.com

Tenemos varios catálogos digitales en flip, donde mostramos los productos a nuestros clientes. Ahora queremos añadir una gama completamente nueva, la de productos congelados. Como la actualización de los catálogos nos da muchísimo trabajo, hemos pensado en ir añadiendo los productos congelados en virtuemart y hacer como una tienda online, donde los clientes puedan ver los productos. Poco a poco añadiremos los artículos de los catálogos flip a la sección de tienda online. Por lo tanto, durante un tiempo tienen que convivir las dos categorías, catalogo flip digital con tienda online.

Cuando ya tengamos todos los artículos pasados a tienda online, la idea es, que los clientes puedan añadir los productos al carrito, para pasarnos el pedido de esta forma, pero sin acabar de cerrar el proceso de compra con el pago. Únicamente nos interesa que puedan añadir los diferentes artículos al carrito. Nosotros luego lo entramos en nuestro programa de gestión y gestionamos todo el resto.

Por este motivo creo que lo más sencillo es seguir con joomla y me interesa la opción más sencilla y rápida, para poder empezar a introducir productos nuevos.

Creo que iré a por la versión nueva de joomla e iré pasando la info a la versión nueva. Supongo que no tendré que ir copiando todo, no?? Debe de haber una manera de introducir los datos, correcto?

Referente Akeeba: ya he conseguido hacer la copia 🙂 Gracias!!

Gracias!

Saludos,
Rebecca

ResponderCitar
Respondido : 24/01/2017 12:19 pm

Cursos Gratuitos WordPress

Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Rebeca.

Referente Akeeba: ya he conseguido hacer la copia
Bien, tu ves como poco a poco salen las cosas, tranquila que al final lo resolveremos todo. 😉
Por cierto ¿ Actualizaste Akebba ?

Puedes optar por alguno de los pack's que tienes para virtuemart:
Plantillas Tienda Joomla

Para los datos tienes -> CSVI Pro , con esta extensión podrás exportar todos los datos tanto de virtuemart como los que tengas en joomla ( artículos, etc... )

Ya se que es un extensión de pago pero solo el tiempo que te ahorras ya vale la pena.

Un saludo

ResponderCitar
Respondido : 24/01/2017 12:53 pm
Rebecca
 Rebecca
Reputable Member

Hola Pepe,

si, actualicé Akeeba. Me da un mensaje de que la versión PHP está obsoleta, pero me ha hecho la copia igualmente. Este es el mensaje que me da:
You are using an obsolete PHP version
Your site is running on PHP 5.3.29 which has stopped receiving security updates since Jueves, 14 Agosto 2014. Using this on a live site is dangerous: unpatched security issues can get your site hacked. Moreover, we can only guarantee support for obsolete versions of PHP after nine months since their end-of-life date. Therefore, support for your version of PHP may be dropped any time after Jueves, 14 Mayo 2015. We strongly advise you to ask your host to upgrade your site to PHP 5.5 or later.

Ya me he instalado un nuevo pack de joomla! con la versión 3.6.5.
Supongo que lo primero que debo hacer, es ir a buscar los componentes que tengo en la web actual e instalarlos en la nueva, correcto??

Muchísimas gracias por tu ayuda.

Saludos,
Rebecca

ResponderCitar
Respondido : 24/01/2017 1:19 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Rebeca.

Supongo que lo primero que debo hacer, es ir a buscar los componentes que tengo en la web actual e instalarlos en la nueva, correcto??
Si, el primer paso seria buscar todas las extensiones que sueles utilizar, lo que tienes que comprobar es que sean compatibles para joomla 3, si hay alguna que no lo es habrá que buscar alguna alternativa.

Un saludo

ResponderCitar
Respondido : 24/01/2017 1:54 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Añado que se me paso....

Para actualizar la versión de PHP, manda un ticket a soporte y que te instalen la versión 5.6, diles que necesitas que la instalen ellos ya que tu no sabes como realizarlo.

Te dejo un enlace por si quieres probarlo:
Versión de PHP en cPanel ¿cómo cambiarla?

Un saludo

ResponderCitar
Respondido : 24/01/2017 2:05 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

José Luis
 José Luis
Usuario activo

Hola!
Yo estoy igual, no puedo actualizar la versión de Joomla porque se me queda en blanco todo, tanto el front como el backend.
Ya he probado de todo y no consigo avanzar. El problema es que al ser todo blanco no tengo pistas sobre donde puede estar el error, aunque tengo el reporte de error a maximun.
¿Quizás pudiera buscar en el errorlog? ¿alguna sugerencia?
Gracias

ResponderCitar
Respondido : 10/05/2017 2:28 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola jose Luis.

Lo primero comentarte que no sigas un tema que ya esta abierto de otro usuario, esto nos puede causar confusión, por favor para segur con este tema abre uno nuevo con tu usuario, de esta manera mantenemos un orden y no nos perdemos leyendo de respuestas de otro usuario.

la pagina en blanco se produce por imcompatibilades o algun bug en el codigo.

Lo primero que tienes que comprobar es que tu plantilla, módulos y plugins tengas las actualizaciones necesarias para poder trabajar en Joomla 3.

Una vez comprobado esto desactiva todos los componentes y plugins que tengas instalados y realiza la actualización.

Te dejo información del blog donde se explican los pasos:
Actualizar Joomla 2.5.28 a Joomla 3.4.x ¡rápida y fácilmente!

Por favor si necesitas realizar alguan consulta sobre este tema abre un nuevo hilo con tu usuario 😉

Un saludo

ResponderCitar
Respondido : 10/05/2017 2:41 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Página 2 / 2